# Filter

Allows a file's content to be modified while performing an operation.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
if | bool | If true then the filter will be used; otherwise, skipped. The default is true. | False
unless | bool | Opposite of `if`. If false then the filter will be executed; otherwise, skipped. The default is false. | False

### Requirements

Assembly: NAnt.Core (0.90.3780.0)